# FAXPP_Text Struct Reference

The basic string type in faxpp. More...

`#include <text.h>`

## Data Fields
void * | ptr
| A pointer to the memory for the string.
unsigned int | len
| The length of the string in bytes.

## Detailed Description

The basic string type in faxpp.

Examples:

  entity_resolver.c, and output_event.c.

Definition at line 21 of file text.h.

## Field Documentation

void* FAXPP_Text::ptr

A pointer to the memory for the string.

Examples:
  entity_resolver.c, output_event.c, and tokenizer_example.c.

Definition at line 22 of file text.h.

unsigned int FAXPP_Text::len

The length of the string in bytes.

Examples:
  entity_resolver.c, output_event.c, and tokenizer_example.c.

Definition at line 23 of file text.h.

The documentation for this struct was generated from the following file:

- text.h